org.bdgenomics.adam.rdd.variant

# VCFInFormatter

###
Related Docs: class VCFInFormatter | package variant

#### object VCFInFormatter extends InFormatterCompanion[VariantContext, VariantContext, VariantContextRDD, VCFInFormatter] with Serializable

InFormatter companion that builds a VCFInFormatter to write VCF to a pipe.

Linear Supertypes
Serializable, Serializable, InFormatterCompanion[VariantContext, VariantContext, VariantContextRDD, VCFInFormatter], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. VCFInFormatter
2. Serializable
3. Serializable
4. InFormatterCompanion
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(gRdd: VariantContextRDD): VCFInFormatter

   Apply method for building the VCFInFormatter from a VariantContextRDD.

   Apply method for building the VCFInFormatter from a VariantContextRDD.

   gRdd

     VariantContextRDD to build VCF header from.

   returns

     A constructed VCFInFormatter with all needed metadata to write a VCF header.

   Definition Classes
     VCFInFormatter → InFormatterCompanion

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

17. #### def toString(): String

    Definition Classes
      AnyRef → Any

18. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

20. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from InFormatterCompanion[VariantContext, VariantContext, VariantContextRDD, VCFInFormatter]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped